KAudioManagerPlay Class Reference

`#include <kaudiomanagerplay.h>`

## Public Member Functions

| KAudioManagerPlay (KArtsServer *server, const QString &title=QString::null)
Arts::Synth_AMAN_PLAY | amanPlay ()
bool | isNull () const
void | setTitle (const QString &title)
QString | title ()
void | setAutoRestoreID (const QString &autoRestoreID)
QString | autoRestoreID ()
void | start ()
void | stop ()

## Detailed Description

KDE Wrapper for Arts::Synth_AMAN_PLAY.

Use this class to create an entry in the AudioManager - that's the list you see when opening the AudioManager view in artscontrol.

Author
  Matthias Kretz kretz.nosp@m.@kde.nosp@m..org

Since
  3.2

Definition at line 38 of file kaudiomanagerplay.h.

## Member Function Documentation

Arts::Synth_AMAN_PLAY KAudioManagerPlay::amanPlay | ( |  | ) |

Returns the internal Arts::Synth_AMAN_PLAY.

Definition at line 40 of file kaudiomanagerplay.cpp.

bool KAudioManagerPlay::isNull | ( |  | ) | const

return true if this == 0 or amanPlay().isNull()

in essence, ((KDE::PlayObject*)0)->isNull() will not crash

Definition at line 45 of file kaudiomanagerplay.cpp.

void KAudioManagerPlay::setTitle | ( | const QString & | title | ) |

Set the name of the output in the AudioManager.

Definition at line 52 of file kaudiomanagerplay.cpp.

QString KAudioManagerPlay::title | ( |  | ) |

returns the name of the output as it appears in the AudioManager

Definition at line 57 of file kaudiomanagerplay.cpp.

The documentation for this class was generated from the following files:

- kaudiomanagerplay.h
- kaudiomanagerplay.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys